thrift-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nevo Hed <nhed+thrift...@aereo.com>
Subject Re: Errors while building thirft in OS X
Date Thu, 17 Apr 2014 20:06:18 GMT
Hi Lenin

Option #4 above will let you build 0.9.1

the other options (1-3) assume you follow one of the options in
http://thrift.apache.org/developers, such as
   git clone http://git-wip-us.apache.org/repos/asf/thrift.git

(or can clone from github)


On Wed, Apr 16, 2014 at 9:45 AM, Lenin Raj <emaillenin@gmail.com> wrote:

> Hi Nevo,
>
> Yes, I am on version 0.9.1. I'll wait for 0.9.2 since I do not know how to
> try others.
>
>
> Thanks,
> Lenin
>
>
> On Fri, Apr 4, 2014 at 8:15 PM, Nevo Hed <nhed+thriftusr@aereo.com> wrote:
>
> > Hi Lenin
> >
> > I assume you are on thrift 0.9.1
> >
> > Based on your rspec versions I can confirm that you are seeing
> > https://issues.apache.org/jira/browse/THRIFT-2184
> >
> > Your options as I see it are one of the following
> > (1) Wait for 0.9.2
> > (2) Use HEAD instead of 0.9.1
> > (3) cherry-pick 507740c93c795b9d1f927909456962ec64f67b65
> > (4) Install rspec 2.10 and UNINSTALL the current one (or use an alternate
> > GEM_HOME)
> >
> >
> >
> > On Fri, Apr 4, 2014 at 6:48 AM, Lenin Raj <emaillenin@gmail.com> wrote:
> >
> > > Hi Nevo,
> > >
> > > My gem list:
> > >
> > > ~ $ gem list
> > >
> > > *** LOCAL GEMS ***
> > >
> > > actionmailer (4.0.0)
> > > actionpack (4.0.0)
> > > activemodel (4.0.2, 4.0.0)
> > > activerecord (4.0.2, 4.0.0)
> > > activerecord-deprecated_finders (1.0.3)
> > > activesupport (4.0.2, 4.0.0)
> > > addressable (2.3.5)
> > > allison (2.0.3)
> > > arel (4.0.1, 4.0.0)
> > > atomic (1.1.14)
> > > avro (1.7.6)
> > > builder (3.1.4)
> > > bundler (1.3.5)
> > > bundler-unload (1.0.1)
> > > coffee-rails (4.0.0)
> > > coffee-script (2.2.0)
> > > coffee-script-source (1.6.3)
> > > daemons (1.1.9)
> > > debase (0.0.9)
> > > debugger-ruby_core_source (1.3.1)
> > > diff-lcs (1.2.5)
> > > echoe (4.6.5)
> > > erubis (2.7.0)
> > > eventmachine (1.0.3)
> > > execjs (2.0.1)
> > > font-awesome-sass (4.0.2)
> > > googlecharts (1.6.8)
> > > hike (1.2.3)
> > > httparty (0.12.0)
> > > i18n (0.6.9, 0.6.5)
> > > icalendar (1.5.0)
> > > jquery-turbolinks (2.0.1)
> > > json (1.8.1)
> > > json_pure (1.8.1)
> > > mail (2.5.4)
> > > mattetti-googlecharts (1.4.0)
> > > mime-types (1.25.1, 1.25)
> > > mini_portile (0.5.2)
> > > minitest (4.7.5)
> > > multi_json (1.9.2, 1.8.4, 1.8.0)
> > > multi_xml (0.5.5)
> > > mysql2 (0.3.14)
> > > nokogiri (1.6.1)
> > > polyglot (0.3.3)
> > > rack (1.5.2)
> > > rack-test (0.6.2)
> > > rails (4.0.0)
> > > railties (4.0.0)
> > > rake (10.2.2, 10.1.0)
> > > rdoc (4.1.1)
> > > rest-client (1.6.7)
> > > rspec (2.14.1)
> > > rspec-core (2.14.8)
> > > rspec-expectations (2.14.5)
> > > rspec-mocks (2.14.6)
> > > ruby-debug-ide (0.4.22)
> > > ruby-mp3info (0.8.1)
> > > rubyforge (2.0.4)
> > > rubygems-bundler (1.2.2)
> > > rvm (1.11.3.8)
> > > sass (3.2.13)
> > > sass-rails (4.0.1)
> > > simple-rss (1.3.1)
> > > sprockets (2.10.1, 2.10.0)
> > > sprockets-rails (2.0.1, 2.0.0)
> > > thin (1.6.2)
> > > thor (0.18.1)
> > > thread_safe (0.1.3)
> > > tilt (1.4.1)
> > > treetop (1.4.15)
> > > turbolinks (1.3.0)
> > > tzinfo (0.3.38, 0.3.37)
> > > unicode_utils (1.4.0)
> > > unirest (1.1.1)
> > > ~ $
> > >
> > >
> > > Thanks,
> > > Lenin
> > >
> > >
> > > On Thu, Apr 3, 2014 at 2:48 AM, Nevo Hed <nhed+thriftusr@aereo.com>
> > wrote:
> > >
> > > > Lenin
> > > > Can you reply with the output of "gem list" ?
> > > >
> > > >
> > > >
> > > > On Wed, Apr 2, 2014 at 5:14 PM, Nevo Hed <nhed+thriftusr@aereo.com>
> > > wrote:
> > > >
> > > > > Roger
> > > > >
> > > > > I think that may be too drastic of a step
> > > > > I think this is https://issues.apache.org/jira/browse/THRIFT-2184
> > > > >
> > > > > In which case he may just need to adjust the installed rspec gems
> > (see
> > > my
> > > > > comments on 2184)
> > > > >
> > > > >
> > > > > On Wed, Apr 2, 2014 at 7:34 AM, Roger Meier <
> roger@bufferoverflow.ch
> > > > >wrote:
> > > > >
> > > > >> please try this:
> > > > >>     rvm use ruby 1.9.3
> > > > >>
> > > > >> -roger
> > > > >>
> > > > >>
> > > > >> On 01.04.2014 14:39, Lenin Raj wrote:
> > > > >>
> > > > >>> All - I want to use Thrift to transport data between Python
and
> > Ruby.
> > > > >>>
> > > > >>> I have installed boost and libevent in /usr/local/lib already.
I
> > get
> > > > few
> > > > >>> errors while building Thrift. I have attached the log of
the
> output
> > > of
> > > > >>> make, make test and make install.
> > > > >>>
> > > > >>>
> > > > >>> Failures:
> > > > >>>
> > > > >>>    1) BinaryProtocolAccelerated it should behave like a binary
> > > protocol
> > > > >>> should write a byte
> > > > >>>       Failure/Error: @trans.rspec_verify
> > > > >>>       NoMethodError:
> > > > >>>         undefined method `rspec_verify' for
> > > > >>> #<Thrift::MemoryBufferTransport:0x007f816ba7b018>
> > > > >>>       Shared Example Group: "a binary protocol" called from
> > > > >>> ./spec/binary_protocol_accelerated_spec.rb:28
> > > > >>>       # ./spec/binary_protocol_spec_shared.rb:112:in `block
(2
> > > levels)
> > > > >>> in <top (required)>'
> > > > >>>
> > > > >>>    2) BinaryProtocol it should behave like a binary protocol
> should
> > > > >>> write a byte
> > > > >>>       Failure/Error: @trans.rspec_verify
> > > > >>>       NoMethodError:
> > > > >>>         undefined method `rspec_verify' for
> > > > >>> #<Thrift::MemoryBufferTransport:0x007f816bd8c978>
> > > > >>>       Shared Example Group: "a binary protocol" called from
> > > > >>> ./spec/binary_protocol_spec.rb:25
> > > > >>>       # ./spec/binary_protocol_spec_shared.rb:112:in `block
(2
> > > levels)
> > > > >>> in <top (required)>'
> > > > >>>
> > > > >>> Is there something I am missing?
> > > > >>>
> > > > >>> Thanks,
> > > > >>> Lenin
> > > > >>>
> > > > >>
> > > > >>
> > > > >
> > > >
> > >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message